gi-gio-2.0.27: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.ConverterInputStream

Contents

- Exported types
- Methods
  - Overloaded methods
  - getConverter
  - new
- Properties
  - converter

Description

Converter input stream implements `InputStream` and allows conversion of data of various types during reading.

As of GLib 2.34, `ConverterInputStream` implements `PollableInputStream`.

Synopsis

- newtype ConverterInputStream = ConverterInputStream (ManagedPtr ConverterInputStream)
- class (GObject o, IsDescendantOf ConverterInputStream o) => IsConverterInputStream o
- toConverterInputStream :: (MonadIO m, IsConverterInputStream o) => o -> m ConverterInputStream
- converterInputStreamGetConverter :: (HasCallStack, MonadIO m, IsConverterInputStream a) => a -> m Converter
- converterInputStreamNew :: (HasCallStack, MonadIO m, IsInputStream a, IsConverter b) => a -> b -> m ConverterInputStream
- constructConverterInputStreamConverter :: (IsConverterInputStream o, MonadIO m, IsConverter a) => a -> m (GValueConstruct o)
- getConverterInputStreamConverter :: (MonadIO m, IsConverterInputStream o) => o -> m Converter

# Exported types

newtype ConverterInputStream Source #

Memory-managed wrapper type.

Constructors

ConverterInputStream (ManagedPtr ConverterInputStream) |

#### Instances

Instances details

Eq ConverterInputStream Source # |
Instance details Defined in GI.Gio.Objects.ConverterInputStream Methods (==) :: ConverterInputStream -> ConverterInputStream -> Bool # (/=) :: ConverterInputStream -> ConverterInputStream -> Bool #
GObject ConverterInputStream Source # |
Instance details Defined in GI.Gio.Objects.ConverterInputStream
TypedObject ConverterInputStream Source # |
Instance details Defined in GI.Gio.Objects.ConverterInputStream Methods glibType :: IO GType Source #
ManagedPtrNewtype ConverterInputStream Source # |
Instance details Defined in GI.Gio.Objects.ConverterInputStream Methods toManagedPtr :: ConverterInputStream -> ManagedPtr ConverterInputStream Source #
IsGValue ConverterInputStream Source # | Convert `ConverterInputStream` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.ConverterInputStream Methods toGValue :: ConverterInputStream -> IO GValue Source # fromGValue :: GValue -> IO ConverterInputStream Source #
HasParentTypes ConverterInputStream Source # |
Instance details Defined in GI.Gio.Objects.ConverterInputStream
type ParentTypes ConverterInputStream Source # |
Instance details Defined in GI.Gio.Objects.ConverterInputStream type ParentTypes ConverterInputStream = '[FilterInputStream, InputStream, Object, PollableInputStream]

class (GObject o, IsDescendantOf ConverterInputStream o) => IsConverterInputStream o Source #

Type class for types which can be safely cast to `ConverterInputStream`, for instance with `toConverterInputStream`.

#### Instances

Instances details

(GObject o, IsDescendantOf ConverterInputStream o) => IsConverterInputStream o Source # |
Instance details Defined in GI.Gio.Objects.ConverterInputStream

toConverterInputStream :: (MonadIO m, IsConverterInputStream o) => o -> m ConverterInputStream Source #

Cast to `ConverterInputStream`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods

## getConverter

converterInputStreamGetConverter Source #

Arguments

:: (HasCallStack, MonadIO m, IsConverterInputStream a) |
=> a | `converterStream`: a `ConverterInputStream`
-> m Converter | Returns: the converter of the converter input stream

Gets the `Converter` that is used by `converterStream`.

Since: 2.24

## new

converterInputStreamNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsInputStream a, IsConverter b) |
=> a | `baseStream`: a `InputStream`
-> b | `converter`: a `Converter`
-> m ConverterInputStream | Returns: a new `InputStream`.

Creates a new converter input stream for the `baseStream`.

# Properties

## converter

No description available in the introspection data.

constructConverterInputStreamConverter :: (IsConverterInputStream o, MonadIO m, IsConverter a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`converter`” property. This is rarely needed directly, but it is used by `new`.

getConverterInputStreamConverter :: (MonadIO m, IsConverterInputStream o) => o -> m Converter Source #

Get the value of the “`converter`” property. When overloading is enabled, this is equivalent to

    get converterInputStream #converter